]> git.proxmox.com Git - gfs2-utils.git/commitdiff
initial commit
authorDietmar Maurer <dietmar@proxmox.com>
Fri, 17 Feb 2012 09:30:45 +0000 (10:30 +0100)
committerDietmar Maurer <dietmar@proxmox.com>
Fri, 17 Feb 2012 09:30:45 +0000 (10:30 +0100)
Makefile [new file with mode: 0644]
debian/changelog [new file with mode: 0644]
debian/compat [new file with mode: 0644]
debian/control [new file with mode: 0644]
debian/copyright [new file with mode: 0644]
debian/docs [new file with mode: 0644]
debian/patches/fix-gfs-init.d-scripts.patch [new file with mode: 0644]
debian/patches/series [new file with mode: 0644]
debian/postinst [new file with mode: 0644]
debian/rules [new file with mode: 0755]
gfs2-utils-3.1.3.tar.gz [new file with mode: 0644]

diff --git a/Makefile b/Makefile
new file mode 100644 (file)
index 0000000..7cec0a7
--- /dev/null
+++ b/Makefile
@@ -0,0 +1,40 @@
+RELEASE=2.0
+
+PACKAGE=gfs2-utils
+PKGREL=1
+GFSUVER=3.1.3
+GFSUDIR=gfs2-utils
+GFSUSRC=gfs2-utils-${GFSUVER}.tar.gz
+
+
+DEB=${PACKAGE}_${GFSUVER}-${PKGREL}_amd64.deb
+
+all: ${DEB}
+
+${DEB} deb: ${GFSUSRC}
+       rm -rf ${GFSUDIR}
+       tar xf ${GFSUSRC}
+       cd ${GFSUDIR}; ./autogen.sh
+       cp -av debian ${GFSUDIR}/debian
+       cat ${GFSUDIR}/doc/COPYRIGHT >>${GFSUDIR}/debian/copyright
+       cd ${GFSUDIR}; dpkg-buildpackage -rfakeroot -b -us -uc
+       lintian ${DEB}
+
+.PHONY: upload
+upload: ${DEB}
+       umount /pve/${RELEASE}; mount /pve/${RELEASE} -o rw 
+       mkdir -p /pve/${RELEASE}/extra
+       rm -f /pve/${RELEASE}/extra/${PACKAGE}*.deb
+       rm -f /pve/${RELEASE}/extra/Packages*
+       cp ${DEB} /pve/${RELEASE}/extra
+       cd /pve/${RELEASE}/extra; dpkg-scanpackages . /dev/null > Packages; gzip -9c Packages > Packages.gz
+       umount /pve/${RELEASE}; mount /pve/${RELEASE} -o ro
+
+distclean: clean
+
+clean:
+       rm -rf *~ debian/*~ *.deb ${GFSUDIR} ${PACKAGE}_*
+
+.PHONY: dinstall
+dinstall: ${DEB}
+       dpkg -i ${DEB}
diff --git a/debian/changelog b/debian/changelog
new file mode 100644 (file)
index 0000000..1b6aa0a
--- /dev/null
@@ -0,0 +1,5 @@
+gfs2-utils (3.1.3-1) unstable; urgency=low
+
+  * Initial release 
+
+ -- Proxmox Support Team <support@proxmox.com>  Thu, 16 Feb 2012 13:44:11 +0100
diff --git a/debian/compat b/debian/compat
new file mode 100644 (file)
index 0000000..7f8f011
--- /dev/null
@@ -0,0 +1 @@
+7
diff --git a/debian/control b/debian/control
new file mode 100644 (file)
index 0000000..6199451
--- /dev/null
@@ -0,0 +1,17 @@
+Source: gfs2-utils
+Section: admin
+Priority: optional
+Maintainer: Proxmox Support Team <support@proxmox.com>
+Build-Depends: debhelper (>= 7.0.50~), autotools-dev
+Standards-Version: 3.8.4
+
+Package: gfs2-utils
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, psmisc, redhat-cluster-pve 
+Description:  Global file system 2 tools
+ The Global File System allows a cluster of machines to concurrently access
+ shared storage hardware like SANs or iSCSI and network block devices. GFS
+ can be deployed to build high-availability services without the single point
+ of failure of a file server.
+ .
+ This package contains tools for creating and managing global file systems.
\ No newline at end of file
diff --git a/debian/copyright b/debian/copyright
new file mode 100644 (file)
index 0000000..281b00f
--- /dev/null
@@ -0,0 +1,51 @@
+This work was packaged for Debian by:
+
+    Proxmox Support Team <support@proxmox.com> on thu, 16 Feb 2012
+
+It was downloaded from:
+
+    <https://fedorahosted.org/cluster/wiki/HomePage>
+
+Upstream Author(s):
+
+    See Copyright section below. 
+License:
+
+    Libraries:
+
+    You can redistribute them and/or modify them under the terms of
+    the GNU Lesser General Public License as published by the Free
+    Software Foundation; either version 2.1 of the License, or (at
+    your option) any later version.
+
+    The libraries are distributed in the hope that they will be
+    useful, but WITHOUT ANY WARRANTY; without even the implied
+    warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+    See the GNU Lesser General Public License for more details.
+
+    Applications:
+
+    You can redistribute them and/or modify them under the terms of
+    the GNU General Public License as published by the Free Software
+    Foundation; either version 2 of the License, or (at your option)
+    any later version.
+
+    The applications are distributed in the hope that they will be
+    useful, but WITHOUT ANY WARRANTY; without even the implied
+    warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+    See the GNU General Public License for more details.
+
+    A copy of each license is included for your convenience in:
+    /usr/share/common-licenses/LGPL-2.1        
+    /usr/share/common-licenses/GPL-2   
+    
+
+The Debian packaging is:
+
+    Copyright (C) 2012 Proxmox Server Solutions GmbH
+
+and is licensed under the AGPL version 3
+
+Copyright:
+
diff --git a/debian/docs b/debian/docs
new file mode 100644 (file)
index 0000000..8b7332d
--- /dev/null
@@ -0,0 +1,4 @@
+README.build
+doc/usage.txt
+doc/gfs2.txt
+doc/journaling.txt
diff --git a/debian/patches/fix-gfs-init.d-scripts.patch b/debian/patches/fix-gfs-init.d-scripts.patch
new file mode 100644 (file)
index 0000000..b025bf1
--- /dev/null
@@ -0,0 +1,58 @@
+Index: new/gfs2/init.d/gfs2-cluster
+===================================================================
+--- new.orig/gfs2/init.d/gfs2-cluster  2012-02-17 09:01:54.000000000 +0100
++++ new/gfs2/init.d/gfs2-cluster       2012-02-17 10:09:57.000000000 +0100
+@@ -19,27 +19,28 @@
+ # Description: Starts and stops gfs_controld for dlm based GFS2 filesystems
+ ### END INIT INFO
+-. /etc/rc.d/init.d/functions
++. /lib/lsb/init-functions
+ prog="gfs_controld"
+-lockfile="/var/lock/subsys/$prog"
++lockfile="/var/lock/$prog"
+ exec="/usr/sbin/$prog"
++DESC="GFS2 Control Daemon"
+ start() {
+       [ -x $exec ] || exit 5
+-      echo -n $"Starting $prog: "
+-      daemon $prog
++      log_daemon_msg "Starting $DESC" "$prog"
++      start_daemon $exec
+       retval=$?
+-      echo
++      log_end_msg $retval
+       [ $retval -eq 0 ] && touch $lockfile
+       return $retval
+ }
+ stop() {
+-      echo -n $"Stopping $prog: "
++      log_daemon_msg "Stopping $DESC" "$prog"
+       killproc $prog
+       retval=$?
+-      echo
++      log_end_msg $retval
+       [ $retval -eq 0 ] && rm -f $lockfile
+ }
+@@ -53,7 +54,7 @@
+ }
+ rh_status() {
+-      status $prog
++        status_of_proc $exec $prog
+ }
+ rh_status_q() {
+@@ -87,7 +88,7 @@
+               restart
+               ;;
+       *)
+-              echo $"Usage $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload}"
++              echo "Usage $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload}"
+               exit 2
+ esac
+ exit $?
diff --git a/debian/patches/series b/debian/patches/series
new file mode 100644 (file)
index 0000000..d895426
--- /dev/null
@@ -0,0 +1 @@
+fix-gfs-init.d-scripts.patch
diff --git a/debian/postinst b/debian/postinst
new file mode 100644 (file)
index 0000000..540da5f
--- /dev/null
@@ -0,0 +1,24 @@
+#!/bin/sh
+# postinst script for gfs2-utils
+
+set -e
+
+case "$1" in
+    configure)
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/rules b/debian/rules
new file mode 100755 (executable)
index 0000000..d8ae795
--- /dev/null
@@ -0,0 +1,31 @@
+#!/usr/bin/make -f
+# -*- makefile -*-
+# Sample debian/rules that uses debhelper.
+# This file was originally written by Joey Hess and Craig Small.
+# As a special exception, when this file is copied by dh-make into a
+# dh-make output file, you may use that output file without restriction.
+# This special exception was added by Craig Small in version 0.37 of dh-make.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+BUILDROOT := $(shell pwd)
+BUILDDIR=debian/gfs2-utils
+
+%:
+       dh --with quilt $@ 
+
+override_dh_auto_install:
+       $(MAKE) install DESTDIR=$(BUILDROOT)/$(BUILDDIR)
+
+       rmdir $(BUILDDIR)/var/run/cluster
+
+       # we do not install upstream doc, instead we use
+       # dh_installdocs and dh_installexamples to copy files
+       rm -rf $(BUILDDIR)/usr/share/doc/gfs2-utils
+
+       dh_installdocs
+
+       install -D -m 755 gfs2/init.d/gfs2-cluster $(BUILDDIR)/etc/init.d/gfs2-cluster
+
+       dh_installinit --onlyscripts --init-script=gfs2-cluster
\ No newline at end of file
diff --git a/gfs2-utils-3.1.3.tar.gz b/gfs2-utils-3.1.3.tar.gz
new file mode 100644 (file)
index 0000000..778ac8c
Binary files /dev/null and b/gfs2-utils-3.1.3.tar.gz differ